import java.io.*;
/**
Questo programma collauda la classe Tris
chiedendo allutente di selezionare posizioni sulla
scacchiera e visualizzando il risultato.
*/

//modificato per la gestione dei turni umano/computer - Dario

public class TrisTest {
public static void main(String[] args) throws IOException {

	BufferedReader tastiera = new BufferedReader(new InputStreamReader(System.in));
	System.out.println("Giocatore 1 umano o controllato dal computer? (U/C)");
	String input = 	tastiera.readLine();
	boolean p1IA = (input.equalsIgnoreCase("c"));
	System.out.println("Giocatore 2 umano o controllato dal computer? (U/C)");
	input = tastiera.readLine();
	boolean p2IA = (input.equalsIgnoreCase("c"));
	Tris game = new Tris(p1IA,p2IA);
	int row,col;
	do  {
		if (game.isHumanTurn()) {
			do {
				System.out.print(game.getCurrentplayer()+" riga:");
				row = Integer.parseInt(tastiera.readLine());
				System.out.print(game.getCurrentplayer()+"colonna:");
				col = Integer.parseInt(tastiera.readLine());
			} while (!game.setCasella(row,col));
		} else { //isComputerTurn ;)
			game.doComputerMove();
		}
	System.out.println(game); // invoca game.toString()
	} while(!game.partitaFinita());
	if (game.partitaPareggiata())
		System.out.println("Partita pareggiata");
	else
		System.out.println(game.getVincitore()+ " vince");
}
}